1
0
Fork 0

Merging upstream version 1.14.

Signed-off-by: Daniel Baumann <daniel@debian.org>
This commit is contained in:
Daniel Baumann 2025-02-21 11:15:28 +01:00
parent 623bd26b6d
commit 24fda2a4df
Signed by: daniel
GPG key ID: FBB4F0E80A80222F
9 changed files with 79 additions and 56 deletions

View file

@ -1,21 +1,13 @@
2013-04-26 Antonio Diaz Diaz <antonio@gnu.org> 2013-05-31 Antonio Diaz Diaz <antonio@gnu.org>
* Version 1.14-rc3 released. * Version 1.14 released.
* Added new option '-i, --ignore-errors'. * Added new option '-i, --ignore-errors'.
* split.cc: Use as few digits as possible in file names.
* split.cc: In verbose mode show names of files being created.
2013-03-25 Antonio Diaz Diaz <ant_diaz@teleline.es>
* Version 1.14-rc2 released.
* Minor fixes.
* main.cc (show_header): Show header version if verbosity >= 4.
2013-02-27 Antonio Diaz Diaz <ant_diaz@teleline.es>
* Version 1.14-rc1 released.
* Option '-l, --list' now accepts more than one file. * Option '-l, --list' now accepts more than one file.
* Decompression time has been reduced by 12%. * Decompression time has been reduced by 12%.
* split.cc: Use as few digits as possible in file names.
* split.cc: In verbose mode show names of files being created.
* main.cc (show_header): Show header version if verbosity >= 4.
* configure: Options now accept a separate argument.
* Makefile.in: Added new target 'install-as-lzip'. * Makefile.in: Added new target 'install-as-lzip'.
* Makefile.in: Added new target 'install-bin'. * Makefile.in: Added new target 'install-bin'.
* main.cc: Use 'setmode' instead of '_setmode' on Windows and OS/2. * main.cc: Use 'setmode' instead of '_setmode' on Windows and OS/2.

View file

@ -37,8 +37,9 @@ from the main archive.
typing 'make install-bin', 'make install-info' or 'make install-man' typing 'make install-bin', 'make install-info' or 'make install-man'
respectively. respectively.
5a. Type 'make install-as-lzip' to install the program and any data Instead of 'make install', you can type 'make install-as-lzip' to
files and documentation, and link the program to the name 'lzip'. install the program and any data files and documentation, and link
the program to the name 'lzip'.
Another way Another way

2
NEWS
View file

@ -16,6 +16,8 @@ produced, depending on the number of members in the input file.
When decompressing or testing, file version is now shown only if When decompressing or testing, file version is now shown only if
verbosity >= 4. verbosity >= 4.
"configure" now accepts options with a separate argument.
The target "install-as-lzip" has been added to the Makefile. The target "install-as-lzip" has been added to the Makefile.
The target "install-bin" has been added to the Makefile. The target "install-bin" has been added to the Makefile.

38
configure vendored
View file

@ -5,10 +5,8 @@
# This configure script is free software: you have unlimited permission # This configure script is free software: you have unlimited permission
# to copy, distribute and modify it. # to copy, distribute and modify it.
args=
no_create=
pkgname=lziprecover pkgname=lziprecover
pkgversion=1.14-rc3 pkgversion=1.14
progname=lziprecover progname=lziprecover
srctrigger=doc/lziprecover.texinfo srctrigger=doc/lziprecover.texinfo
@ -28,18 +26,19 @@ CXXFLAGS='-Wall -W -O2'
LDFLAGS= LDFLAGS=
# checking whether we are using GNU C++. # checking whether we are using GNU C++.
if [ ! -x /bin/g++ ] && ${CXX} --version > /dev/null 2>&1
[ ! -x /usr/bin/g++ ] && if [ $? != 0 ] ; then
[ ! -x /usr/local/bin/g++ ] ; then
CXX=c++ CXX=c++
CXXFLAGS='-W -O2' CXXFLAGS='-W -O2'
fi fi
# Loop over all args # Loop over all args
while [ -n "$1" ] ; do args=
no_create=
while [ $# != 0 ] ; do
# Get the first arg, and shuffle # Get the first arg, and shuffle
option=$1 option=$1 ; arg2=no
shift shift
# Add the argument quoted to args # Add the argument quoted to args
@ -74,6 +73,14 @@ while [ -n "$1" ] ; do
--version | -V) --version | -V)
echo "Configure script for ${pkgname} version ${pkgversion}" echo "Configure script for ${pkgname} version ${pkgversion}"
exit 0 ;; exit 0 ;;
--srcdir) srcdir=$1 ; arg2=yes ;;
--prefix) prefix=$1 ; arg2=yes ;;
--exec-prefix) exec_prefix=$1 ; arg2=yes ;;
--bindir) bindir=$1 ; arg2=yes ;;
--datarootdir) datarootdir=$1 ; arg2=yes ;;
--infodir) infodir=$1 ; arg2=yes ;;
--mandir) mandir=$1 ; arg2=yes ;;
--srcdir=*) srcdir=${optarg} ;; --srcdir=*) srcdir=${optarg} ;;
--prefix=*) prefix=${optarg} ;; --prefix=*) prefix=${optarg} ;;
--exec-prefix=*) exec_prefix=${optarg} ;; --exec-prefix=*) exec_prefix=${optarg} ;;
@ -88,11 +95,22 @@ while [ -n "$1" ] ; do
CXXFLAGS=*) CXXFLAGS=${optarg} ;; CXXFLAGS=*) CXXFLAGS=${optarg} ;;
LDFLAGS=*) LDFLAGS=${optarg} ;; LDFLAGS=*) LDFLAGS=${optarg} ;;
--* | *=* | *-*-*) ;; --*)
echo "configure: WARNING: unrecognized option: '${option}'" 1>&2 ;;
*=* | *-*-*) ;;
*) *)
echo "configure: Unrecognized option: \"${option}\"; use --help for usage." 1>&2 echo "configure: unrecognized option: '${option}'" 1>&2
echo "Try 'configure --help' for more information."
exit 1 ;; exit 1 ;;
esac esac
# Check if the option took a separate argument
if [ "${arg2}" = yes ] ; then
if [ $# != 0 ] ; then args="${args} \"$1\"" ; shift
else echo "configure: Missing argument to '${option}'" 1>&2
exit 1
fi
fi
done done
# Find the source files, if location was not specified. # Find the source files, if location was not specified.

View file

@ -1,5 +1,5 @@
.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.37.1. .\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.37.1.
.TH LZIPRECOVER "1" "April 2013" "Lziprecover 1.14-rc3" "User Commands" .TH LZIPRECOVER "1" "May 2013" "Lziprecover 1.14" "User Commands"
.SH NAME .SH NAME
Lziprecover \- recovers data from damaged lzip files Lziprecover \- recovers data from damaged lzip files
.SH SYNOPSIS .SH SYNOPSIS
@ -59,6 +59,11 @@ be verbose (a 2nd \fB\-v\fR gives more)
.PP .PP
Numbers may be followed by a multiplier: k = kB = 10^3 = 1000, Numbers may be followed by a multiplier: k = kB = 10^3 = 1000,
Ki = KiB = 2^10 = 1024, M = 10^6, Mi = 2^20, G = 10^9, Gi = 2^30, etc... Ki = KiB = 2^10 = 1024, M = 10^6, Mi = 2^20, G = 10^9, Gi = 2^30, etc...
.PP
Exit status: 0 for a normal exit, 1 for environmental problems (file
not found, invalid flags, I/O errors, etc), 2 to indicate a corrupt or
invalid input file, 3 for an internal consistency error (eg, bug) which
caused lziprecover to panic.
.SH "REPORTING BUGS" .SH "REPORTING BUGS"
Report bugs to lzip\-bug@nongnu.org Report bugs to lzip\-bug@nongnu.org
.br .br

View file

@ -12,7 +12,7 @@ File: lziprecover.info, Node: Top, Next: Introduction, Up: (dir)
Lziprecover Manual Lziprecover Manual
****************** ******************
This manual is for Lziprecover (version 1.14-rc3, 23 April 2013). This manual is for Lziprecover (version 1.14, 31 May 2013).
* Menu: * Menu:
@ -72,11 +72,6 @@ garbage data at the end):
GNU ddrescue + lziprecover is the best option for recovering data from GNU ddrescue + lziprecover is the best option for recovering data from
multiple damaged copies. *Note ddrescue-example::, for an example. multiple damaged copies. *Note ddrescue-example::, for an example.
Return values: 0 for a normal exit, 1 for environmental problems
(file not found, invalid flags, I/O errors, etc), 2 to indicate a
corrupt or invalid input file, 3 for an internal consistency error (eg,
bug) which caused lziprecover to panic.
 
File: lziprecover.info, Node: Invoking Lziprecover, Next: File Format, Prev: Introduction, Up: Top File: lziprecover.info, Node: Invoking Lziprecover, Next: File Format, Prev: Introduction, Up: Top
@ -225,6 +220,12 @@ E exabyte (10^18) | Ei exbibyte (2^60)
Z zettabyte (10^21) | Zi zebibyte (2^70) Z zettabyte (10^21) | Zi zebibyte (2^70)
Y yottabyte (10^24) | Yi yobibyte (2^80) Y yottabyte (10^24) | Yi yobibyte (2^80)
Exit status: 0 for a normal exit, 1 for environmental problems (file
not found, invalid flags, I/O errors, etc), 2 to indicate a corrupt or
invalid input file, 3 for an internal consistency error (eg, bug) which
caused lziprecover to panic.
 
File: lziprecover.info, Node: File Format, Next: Examples, Prev: Invoking Lziprecover, Up: Top File: lziprecover.info, Node: File Format, Next: Examples, Prev: Invoking Lziprecover, Up: Top
@ -282,7 +283,8 @@ additional information before, between, or after them.
`Lzma stream' `Lzma stream'
The lzma stream, finished by an end of stream marker. Uses default The lzma stream, finished by an end of stream marker. Uses default
values for encoder properties. values for encoder properties. See the lzip manual for a full
description.
`CRC32 (4 bytes)' `CRC32 (4 bytes)'
CRC of the uncompressed original data. CRC of the uncompressed original data.
@ -318,7 +320,7 @@ show status.
Example 3: Decompress `file.lz' partially until 10KiB of decompressed Example 3: Decompress `file.lz' partially until 10KiB of decompressed
data are produced. data are produced.
lziprecover -D 10KiB file.lz lziprecover -D 0,10KiB file.lz
Example 4: Decompress `file.lz' partially from decompressed byte 10000 Example 4: Decompress `file.lz' partially from decompressed byte 10000
@ -419,13 +421,13 @@ Concept Index
 
Tag Table: Tag Table:
Node: Top231 Node: Top231
Node: Introduction907 Node: Introduction901
Node: Invoking Lziprecover2938 Node: Invoking Lziprecover2685
Node: File Format8454 Node: File Format8447
Node: Examples10896 Node: Examples10938
Ref: ddrescue-example12114 Ref: ddrescue-example12158
Node: Problems13894 Node: Problems13938
Node: Concept Index14444 Node: Concept Index14488
 
End Tag Table End Tag Table

View file

@ -6,8 +6,8 @@
@finalout @finalout
@c %**end of header @c %**end of header
@set UPDATED 23 April 2013 @set UPDATED 31 May 2013
@set VERSION 1.14-rc3 @set VERSION 1.14
@dircategory Data Compression @dircategory Data Compression
@direntry @direntry
@ -93,11 +93,6 @@ If the cause of file corruption is damaged media, the combination
@w{GNU ddrescue + lziprecover} is the best option for recovering data @w{GNU ddrescue + lziprecover} is the best option for recovering data
from multiple damaged copies. @xref{ddrescue-example}, for an example. from multiple damaged copies. @xref{ddrescue-example}, for an example.
Return values: 0 for a normal exit, 1 for environmental problems (file
not found, invalid flags, I/O errors, etc), 2 to indicate a corrupt or
invalid input file, 3 for an internal consistency error (eg, bug) which
caused lziprecover to panic.
@node Invoking Lziprecover @node Invoking Lziprecover
@chapter Invoking Lziprecover @chapter Invoking Lziprecover
@ -166,7 +161,6 @@ Print total file sizes and ratios. The values produced are correct even
for multi-member files. Use it together with @samp{-v} to see for multi-member files. Use it together with @samp{-v} to see
information about the members in the file. information about the members in the file.
@item -m @item -m
@itemx --merge @itemx --merge
Try to produce a correct file merging the good parts of two or more Try to produce a correct file merging the good parts of two or more
@ -251,6 +245,12 @@ Table of SI and binary prefixes (unit multipliers):
@item Y @tab yottabyte (10^24) @tab | @tab Yi @tab yobibyte (2^80) @item Y @tab yottabyte (10^24) @tab | @tab Yi @tab yobibyte (2^80)
@end multitable @end multitable
@sp 1
Exit status: 0 for a normal exit, 1 for environmental problems (file not
found, invalid flags, I/O errors, etc), 2 to indicate a corrupt or
invalid input file, 3 for an internal consistency error (eg, bug) which
caused lziprecover to panic.
@node File Format @node File Format
@chapter File Format @chapter File Format
@ -311,7 +311,7 @@ Valid values for dictionary size range from 4KiB to 512MiB.
@item Lzma stream @item Lzma stream
The lzma stream, finished by an end of stream marker. Uses default values The lzma stream, finished by an end of stream marker. Uses default values
for encoder properties. for encoder properties. See the lzip manual for a full description.
@item CRC32 (4 bytes) @item CRC32 (4 bytes)
CRC of the uncompressed original data. CRC of the uncompressed original data.
@ -354,7 +354,7 @@ Example 3: Decompress @samp{file.lz} partially until 10KiB of
decompressed data are produced. decompressed data are produced.
@example @example
lziprecover -D 10KiB file.lz lziprecover -D 0,10KiB file.lz
@end example @end example
@sp 1 @sp 1

View file

@ -15,7 +15,7 @@
along with this program. If not, see <http://www.gnu.org/licenses/>. along with this program. If not, see <http://www.gnu.org/licenses/>.
*/ */
/* /*
Return values: 0 for a normal exit, 1 for environmental problems Exit status: 0 for a normal exit, 1 for environmental problems
(file not found, invalid flags, I/O errors, etc), 2 to indicate a (file not found, invalid flags, I/O errors, etc), 2 to indicate a
corrupt or invalid input file, 3 for an internal consistency error corrupt or invalid input file, 3 for an internal consistency error
(eg, bug) which caused lziprecover to panic. (eg, bug) which caused lziprecover to panic.
@ -117,6 +117,10 @@ void show_help()
" -v, --verbose be verbose (a 2nd -v gives more)\n" " -v, --verbose be verbose (a 2nd -v gives more)\n"
"Numbers may be followed by a multiplier: k = kB = 10^3 = 1000,\n" "Numbers may be followed by a multiplier: k = kB = 10^3 = 1000,\n"
"Ki = KiB = 2^10 = 1024, M = 10^6, Mi = 2^20, G = 10^9, Gi = 2^30, etc...\n" "Ki = KiB = 2^10 = 1024, M = 10^6, Mi = 2^20, G = 10^9, Gi = 2^30, etc...\n"
"\nExit status: 0 for a normal exit, 1 for environmental problems (file\n"
"not found, invalid flags, I/O errors, etc), 2 to indicate a corrupt or\n"
"invalid input file, 3 for an internal consistency error (eg, bug) which\n"
"caused lziprecover to panic.\n"
"\nReport bugs to lzip-bug@nongnu.org\n" "\nReport bugs to lzip-bug@nongnu.org\n"
"Lziprecover home page: http://www.nongnu.org/lzip/lziprecover.html\n" ); "Lziprecover home page: http://www.nongnu.org/lzip/lziprecover.html\n" );
} }

View file

@ -200,7 +200,6 @@ int list_file( const std::string & input_filename, const Pretty_print & pp )
"member pos %9llu member size %7llu.\n", i + 1, "member pos %9llu member size %7llu.\n", i + 1,
db.pos(), db.size(), mb.pos(), mb.size() ); db.pos(), db.size(), mb.pos(), mb.size() );
} }
std::printf( "\n" );
} }
} }
return 0; return 0;